Bug 123091 - sysutils/syslog-ng2: [PATCH] syslog-ng2 package name and Latest link
Summary: sysutils/syslog-ng2: [PATCH] syslog-ng2 package name and Latest link
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-25 20:30 UTC by Craig Leres
Modified: 2008-06-18 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2008-04-25 20:30:03 UTC
	If you build a package for the syslog-ng2 port, a "Latest"
	link is not created; this is because NO_LATEST_LINK is set
	in the Makefile.

	Since the port already lives in sysutils/syslog-ng2, it
	makes sense to set PKGNAMESUFFIX and remove NO_LATEST_LINK.
	Then the package and directory names match and would allow
	syslog-ng and syslog-ng2 packages to co-exist in the
	/usr/ports/packages tree.

Fix: See attached patch.


------- =_aaaaaaaaaa0
Content-Type: text/plain; name="patch-syslog-ng2.txt"; charset="us-ascii"
Content-ID: <93687.1209150509.2@fun.ee.lbl.gov>



------- =_aaaaaaaaaa0----XjWNtHrYdO4CflIWhfY4c9sjXXOk7VPWHjWaB79tknZnN6p8
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.virgin	Fri Apr 25 12:01:48 2008
+++ Makefile	Fri Apr 25 12:02:20 2008
@@ -23,7 +23,7 @@
 GNU_CONFIGURE=	yes
 USE_GNOME=	glib20
 USE_GCC=	3.3+
-NO_LATEST_LINK=	yes
+PKGNAMESUFFIX=	2
 SUB_FILES=	pkg-message
 SUB_LIST=	RC_SUBR_SUFFIX=${RC_SUBR_SUFFIX}
Comment 1 Edwin Groothuis freebsd_committer 2008-04-25 20:30:10 UTC
Maintainer of sysutils/syslog-ng2,

Please note that PR ports/123091 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123091

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-04-25 20:30:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 ivan.lago 2008-04-28 09:03:44 UTC
Maintainer approved, please commit.
Comment 4 Martin Wilke freebsd_committer 2008-04-28 17:17:43 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 dfilter freebsd_committer 2008-06-18 14:07:33 UTC
edwin       2008-06-18 13:07:29 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/syslog-ng2  Makefile 
  Log:
  sysutils/syslog-ng2: [PATCH] syslog-ng2 package name and Latest link
  
          If you build a package for the syslog-ng2 port, a "Latest"
          link is not created; this is because NO_LATEST_LINK is set
          in the Makefile.
  
          Since the port already lives in sysutils/syslog-ng2, it
          makes sense to set PKGNAMESUFFIX and remove NO_LATEST_LINK.
          Then the package and directory names match and would allow
          syslog-ng and syslog-ng2 packages to co-exist in the
          /usr/ports/packages tree.
  
  PR:             ports/123091
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  Approved by:    Ivan Lago <ivan.lago@ifom-ieo-campus.it>
  
  Revision  Changes    Path
  1.10      +2 -2      ports/sysutils/syslog-ng2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Edwin Groothuis freebsd_committer 2008-06-18 14:07:34 UTC
State Changed
From-To: open->closed

Committed, thanks!